- Home
- API Enriched
- Support
- operate
- Exec Log
Exec Log
GET
/api/operate/namespaces/{namespace}/sites/{site}/vpm/debug/{node}/exec-log
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/exec-log';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/exec-log \ --header 'Authorization: <Authorization>'Retrieve exec history on node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace for which the request is sent (system)
site
required
string
Site Name Name of the site.
node
required
string
Node Name Name of the node.
Query Parameters
Section titled “Query Parameters”line_count
integer format: int64
Number of last log lines.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Exec Log Response
Exec Log response.
object
exec_log
Exec Log
Exec Log output from specific service.
string
Examplegenerated
{ "exec_log": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example